<?xml version="1.0" encoding="Windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:f="http://tomp.sf.net/2004/flatten"
        xmlns:du="java:DateUtil"
        exclude-result-prefixes="du"
        version="1.0">

    <xsl:template name="make-weekly-calendar">
        <xsl:param name="date"/>
    	<xsl:variable name="day-today" select="du:get-calendar($date)"/>
    	<xsl:variable name="day1" select="du:first-day-of-this-week($day-today)"/>
    	<xsl:variable name="day7" select="du:last-day-of-this-week($day-today)"/>
	<xsl:variable name="all-content">
		<text>Po</text>
		<text>t</text>
		<text>St</text>
		<text>t</text>
		<text>P</text>
		<text>So</text>
		<text>Ne</text>
	</xsl:variable>
	<xsl:variable name="months">
		<month>leden</month>
		<month>nor</month>
		<month>bezen</month>
		<month>duben</month>
		<month>kvten</month>
		<month>erven</month>
		<month>ervenec</month>
		<month>srpen</month>
		<month>z</month>
		<month>jen</month>
		<month>listopad</month>
		<month>prosinec</month>
	</xsl:variable>
	<calendar>
		<header><xsl:value-of select="$months/month[du:getMonth($day1)]"/></header>
		<xsl:call-template name="make-days">
			<xsl:with-param name="day" select="$day1"/>
			<xsl:with-param name="highlighted" select="$day-today"/>
			<xsl:with-param name="count" select="7"/>
			<xsl:with-param name="content" select="$all-content/text[1]"/>
		</xsl:call-template>
		<footer><xsl:value-of select="$months/month[du:getMonth($day7)]"/></footer>
	</calendar> 
    </xsl:template>
    
    <xsl:template name="make-days">
        <xsl:param name="day"/>
        <xsl:param name="highlighted"/>
        <xsl:param name="highlighted-from"/>
        <xsl:param name="highlighted-to"/>
        <xsl:param name="content"/>
        <xsl:param name="count" select="7"/>
	<xsl:if test="$count > 0">
		<day month="{du:getMonth($day)}" day="{du:getDay($day)}">
			<xsl:choose>
			<xsl:when test="$highlighted and du:sameDays($day, $highlighted)">
				<xsl:attribute name="active">1</xsl:attribute>
			</xsl:when>
			<!-- 
			<xsl:when test="$highlighted-from and du:dayInInterval($day, $highlighted-from, $highlighted-to)">
				<xsl:attribute name="active">1</xsl:attribute>
			</xsl:when>
			 -->
			</xsl:choose>
			<xsl:if test="$count > 2">
				<xsl:attribute name="working">1</xsl:attribute>
			</xsl:if>
			<xsl:choose>
			    <xsl:when test="$content">
			        <xsl:copy-of select="$content"/>
			    </xsl:when>
			    <xsl:otherwise>
			    	<text></text>
			    </xsl:otherwise>
			</xsl:choose>
		</day>
		<xsl:call-template name="make-days">
			<xsl:with-param name="day" select="du:nextDay($day)"/>
			<xsl:with-param name="highlighted" select="$highlighted"/>
			<xsl:with-param name="count" select="$count - 1"/>
			<xsl:with-param name="content" select="$content/following-sibling::node()[1]"/>
		</xsl:call-template>
	</xsl:if>
    </xsl:template>
    
</xsl:stylesheet>
