<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:code2html="java:net.sf.tomp.highlight.code2html.Highlighter"
        exclude-result-prefixes="code2html"
        version="1.0">

    <xsl:param name="linenumbering.extension" select="0"/>
    <xsl:param name="codehighlighting.extension" select="1"/>
    <xsl:param name="use.extensions" select="1"/>
    <xsl:param name="default.highlighting.language" select="'java'"/>

    <xsl:template match="programlisting/text()">
        <xsl:choose>
            <xsl:when test="$codehighlighting.extension = '1' and $use.extensions != '0' and function-available('code2html:toHtmlSaxon6') and function-available('code2html:toHtml')">
                <xsl:choose>
                    <xsl:when test="starts-with(system-property('xsl:vendor'), 'SAXON 6')">
                        <xsl:copy-of select="code2html:toHtmlSaxon6(., $default.highlighting.language)"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:copy-of select="code2html:toHtml(., ../@role, $default.highlighting.language, ../@linenumbering)"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
            <!-- no highlighting, just copy -->
                <xsl:message>Cannot make chunks with <xsl:value-of select="system-property('xsl:vendor')" />, just copy</xsl:message>
                <xsl:value-of select="."/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>
