<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

    <xsl:include href="../../slides-3.3.1/xsl/html/param.xsl"/>
    <xsl:include href="../../slides-3.3.1/xsl/html/graphics.xsl"/>

    <xsl:param name="userlevel.image" select="''"/>

    <xsl:param name="userlevel.easier.image" select="'nav-up-weight.png'"/>
    <xsl:param name="userlevel.easier.link" select="'userlevel.easier.link'"/>

    <xsl:param name="userlevel.deeper.image" select="'nav-down-weight.png'"/>
    <xsl:param name="userlevel.deeper.link" select="'userlevel.deeper.link'"/>

    <xsl:param name="format.allinone.image" select="'one_doc_icon.png'"/>
    <xsl:param name="format.allinone.link" select="'allinone.link'"/>

    <xsl:param name="format.chunked.image" select="'multiple_doc_icon.png'"/>
    <xsl:param name="format.chunked.link" select="'chunked.link'"/>

    <xsl:param name="format.slides.image" select="'slides_icon.png'"/>
    <xsl:param name="format.slides.link" select="'slides.link'"/>

    <xsl:param name="format.video.image" select="'video_icon.png'"/>
    <xsl:param name="format.video.link" select="'video.link'"/>

    <xsl:param name="format.discussion.image" select="'people.png'"/>
    <xsl:param name="format.discussion.link" select="'discussion.link'"/>

    <xsl:template name="common-navigation-bar">
        <!-- printable -->
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.allinone.link}">
                <img align="absmiddle" alt="Printable (all-in-one)" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="graphics-file">
                            <xsl:with-param name="image" select="$format.allinone.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.allinone</xsl:with-param>
                </xsl:call-template>
            </a>
        <!-- chunked -->
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.chunked.link}">
                <img align="absmiddle" alt="Printable (all-in-one)" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="graphics-file">
                            <xsl:with-param name="image" select="$format.chunked.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.chunked</xsl:with-param>
                </xsl:call-template>
            </a>
        <!-- slides -->
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.slides.link}">
                <img align="absmiddle" alt="Video" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="graphics-file">
                            <xsl:with-param name="image" select="$format.slides.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.slides</xsl:with-param>
                </xsl:call-template>
            </a>
        <!-- video -->
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.video.link}">
                <img align="absmiddle" alt="Video" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="graphics-file">
                            <xsl:with-param name="image" select="$format.video.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.video</xsl:with-param>
                </xsl:call-template>
            </a>
        <!-- discussion -->
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.discussion.link}">
                <img align="absmiddle" alt="Video" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="graphics-file">
                            <xsl:with-param name="image" select="$format.discussion.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.discussion</xsl:with-param>
                </xsl:call-template>
            </a>
    </xsl:template>

</xsl:stylesheet>