<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

    <xsl:param name="userlevel.easier.image" select="'nav-up-weight.png'"/>
    <xsl:param name="userlevel.easier.link" select="''"/>

    <xsl:param name="userlevel.deeper.image" select="'nav-down-weight.png'"/>
    <xsl:param name="userlevel.deeper.link" select="''"/>

    <xsl:template name="icon-file">
        <xsl:param name="image" select="'nav-up-weight.png'"/>
        <xsl:call-template name="graphics-file">
            <xsl:with-param name="image" select="$image"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template name="common-navigation-bar">
        <xsl:param name="format.allinone.image" select="'one_doc_icon.png'"/>
        <xsl:param name="format.allinone.link" select="''"/>

        <xsl:param name="format.chunked.image" select="'multiple_docs_icon.png'"/>
        <xsl:param name="format.chunked.link" select="''"/>

        <xsl:param name="format.slides.image" select="'slides_icon.png'"/>
        <xsl:param name="format.slides.link" select="''"/>

        <xsl:param name="format.video.image" select="'video_icon.png'"/>
        <xsl:param name="format.video.link" select="''"/>

        <xsl:param name="format.discussion.image" select="'people_icon.png'"/>
        <xsl:param name="format.discussion.link" select="''"/>

        <!-- allinone -->
        <xsl:if test="$format.allinone.link != ''">
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.allinone.link}">
                <img align="absmiddle" alt="Printable (all-in-one)" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="icon-file">
                            <xsl:with-param name="image" select="$format.allinone.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.allinone</xsl:with-param>
                </xsl:call-template>
            </a>
        </xsl:if>
        <!-- chunked -->
        <xsl:if test="$format.chunked.link != ''">
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.chunked.link}">
                <img align="absmiddle" alt="Chunked" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="icon-file">
                            <xsl:with-param name="image" select="$format.chunked.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.chunked</xsl:with-param>
                </xsl:call-template>
            </a>
        </xsl:if>
        <!-- slides -->
        <xsl:if test="$format.slides.link != ''">
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.slides.link}">
                <img align="absmiddle" alt="Slides" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="icon-file">
                            <xsl:with-param name="image" select="$format.slides.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.slides</xsl:with-param>
                </xsl:call-template>
            </a>
        </xsl:if>
        <!-- video -->
        <xsl:if test="$format.video.link != ''">
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.video.link}">
                <img align="absmiddle" alt="Video" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="icon-file">
                            <xsl:with-param name="image" select="$format.video.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.video</xsl:with-param>
                </xsl:call-template>
            </a>
        </xsl:if>
        <!-- discussion -->
        <xsl:if test="$format.discussion.link != ''">
            <xsl:text>&#160;</xsl:text>
            <a href="{$format.discussion.link}">
                <img align="absmiddle" alt="Discussion" border="0">
                    <xsl:attribute name="src">
                        <xsl:call-template name="icon-file">
                            <xsl:with-param name="image" select="$format.discussion.image"/>
                        </xsl:call-template>
                    </xsl:attribute>
                </img>
                <xsl:call-template name="gentext">
                    <xsl:with-param name="key">format.discussion</xsl:with-param>
                </xsl:call-template>
            </a>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>