<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

    <xsl:param name="put.index.at" select="'end'"/>
    <xsl:variable name="_put.index.at" select="concat(translate($put.index.at, ' ,;','|||'), '|')"/>

    <xsl:param name="index.at" select="'chapter'"/>
    <xsl:variable name="_index.at" select="concat(translate($index.at, ' ,;','|||'), '|')"/>

<!-- By default copy the whole document -->
    <xsl:template match="node()" priority="-1">
        <xsl:copy>
            <xsl:apply-templates select="node()"/>
        </xsl:copy>
    </xsl:template>

<!-- Each command/filename/application is placed twice into index -->
    <xsl:template match="*">
      <!-- Copy original element -->
        <xsl:copy>
            <xsl:copy-of select="@*"/>
            <!-- Create the index element at begin -->
            <xsl:if test="contains($_index.at, concat(local-name(), '|')) and contains($_put.index.at, 'begin')">
                <index/>
            </xsl:if>
            <xsl:apply-templates select="node()"/>
            <!-- Create the index element at end -->
            <xsl:if test="contains($_index.at, concat(local-name(), '|')) and contains($_put.index.at, 'end')">
                <index/>
            </xsl:if>
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>