<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

    <xsl:include href="../../slides-3.3.1/xsl/html/param.xsl"/>
    <xsl:include href="../../slides-3.3.1/xsl/html/graphics.xsl"/>

    <xsl:param name="userlevel.image" select="''"/>

    <xsl:param name="userlevel.easier.image" select="'nav-up-weight.png'"/>
    <xsl:param name="userlevel.easier.link" select="'userlevel.easier.link'"/>

    <xsl:param name="userlevel.deeper.image" select="'nav-down-weight.png'"/>
    <xsl:param name="userlevel.deeper.link" select="'userlevel.deeper.link'"/>

    <xsl:param name="format.allinone.image" select="'one_doc_icon.png'"/>
    <xsl:param name="format.allinone.link" select="'allinone.link'"/>

    <xsl:param name="format.chunked.image" select="'multiple_doc_icon.png'"/>
    <xsl:param name="format.chunked.link" select="'chunked.link'"/>

    <xsl:param name="format.slides.image" select="'slides_icon.png'"/>
    <xsl:param name="format.slides.link" select="'slides.link'"/>

    <xsl:param name="format.video.image" select="'video_icon.png'"/>
    <xsl:param name="format.video.link" select="'video.link'"/>

    <xsl:param name="format.discussion.image" select="'people.png'"/>
    <xsl:param name="format.discussion.link" select="'discussion.link'"/>

    <xsl:template name="profile-base-dir">
        <!-- computes the base dir for the given profile -->
        <xsl:param name="profile.security" select="''"/>
        <xsl:param name="profile.arch" select="''"/>
        <xsl:param name="profile.userlevel" select="''"/>
        <xsl:param name="profile.condition" select="''"/>
        <xsl:variable name="path.security">
            <xsl:choose>
                <xsl:when test="$profile.security = ''">
                    <xsl:value-of select="''"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="concat($profile.security, '/')"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="path.arch">
            <xsl:choose>
                <xsl:when test="$profile.arch = ''">
                    <xsl:value-of select="''"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="concat($profile.arch, '/')"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="path.userlevel">
            <xsl:choose>
                <xsl:when test="$profile.userlevel = ''">
                    <xsl:value-of select="''"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="concat($profile.userlevel, '/')"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="path.condition">
            <xsl:choose>
                <xsl:when test="$profile.condition = ''">
                    <xsl:value-of select="''"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="concat($profile.condition, '/')"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:value-of select="concat($path.security, $path.arch, $path.userlevel, $path.condition)"/>

    </xsl:template>

</xsl:stylesheet>