<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

<xsl:param name="elements.to.index" select="'command filename application productname classname'"/>
<xsl:variable name="_elements.to.index" select="concat(translate($elements.to.index, ' ,;','|||'), '|')"/>

<!-- By default copy the whole document -->
    <xsl:template match="node()" priority="-1">
        <xsl:copy>
            <xsl:apply-templates select="node()"/>
        </xsl:copy>
    </xsl:template>

<!-- Each command/filename/application is placed twice into index -->
    <xsl:template match="*">
        <xsl:choose>
            <xsl:when test="contains($_elements.to.index, concat(local-name(), '|'))">
      <!-- Copy original element -->
                <xsl:copy-of select="."/>
      <!-- Create new index entries -->
                <indexterm>
                    <primary>
                        <xsl:value-of select="."/>
                    </primary>
                </indexterm>
                <indexterm>
                    <primary>
                        <xsl:value-of select="local-name()"/>
                    </primary>
                    <secondary>
                        <xsl:value-of select="."/>
                    </secondary>
                </indexterm>
            </xsl:when>
            <xsl:otherwise>
                <xsl:copy>
                    <xsl:copy-of select="@*"/>
                    <xsl:apply-templates select="node()"/>
                </xsl:copy>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>