<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>
                
    <xsl:include href="../../slides-3.3.1/xsl/html/param.xsl"/>
    <xsl:include href="../../slides-3.3.1/xsl/html/graphics.xsl"/>

    <xsl:param name="userlevel.image" select="''"/>
    <xsl:param name="userlevel.easier.base.dir" select="''"/>
    <xsl:param name="userlevel.deeper.base.dir" select="''"/>
    <xsl:param name="userlevel.easier" select="''"/>
    <xsl:param name="userlevel.deeper" select="''"/>

    <xsl:param name="easier.image" select="'active/nav-up-weight.png'"/>
    <xsl:template name="easier.image">
  <!-- TP Aug 17 2004 -->
        <xsl:call-template name="graphics-file">
            <xsl:with-param name="image" select="$easier.image"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:param name="deeper.image" select="'active/nav-down-weight.png'"/>
    <xsl:template name="deeper.image">
  <!-- TP Aug 17 2004 -->
        <xsl:call-template name="graphics-file">
            <xsl:with-param name="image" select="$deeper.image"/>
        </xsl:call-template>
    </xsl:template>

<!-- Returns non-empty string if list in $b contains one ore more values from list $a -->
    <xsl:template name="cross.compare">
        <xsl:param name="a"/>
        <xsl:param name="b"/>
        <xsl:param name="sep" select="$profile.separator"/>
        <xsl:variable name="head" select="substring-before(concat($a, $sep), $sep)"/>
        <xsl:variable name="tail" select="substring-after($a, $sep)"/>
        <xsl:if test="contains(concat($sep, $b, $sep), concat($sep, $head, $sep))">1</xsl:if>
        <xsl:if test="$tail">
            <xsl:call-template name="cross.compare">
                <xsl:with-param name="a" select="$tail"/>
                <xsl:with-param name="b" select="$b"/>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>