<?xml version="1.0" encoding="Windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:rr="http://tomp.sf.net/2004/resource/reference"
                xmlns:r="http://tomp.sf.net/2004/resource"
		exclude-result-prefixes="rr r"
        version="1.0">

    <xsl:param name="pack-id" select="'sect3.cs_CZ'"/>
    <xsl:param name="resources">
    	<pack id='sect1.cs_CZ'>
		<highlights r:id="e1">1prvni highlights</highlights>
		<highlights r:id="e2">1druhy highlights</highlights>
		<text r:id="e3">prvni text</text>
	</pack>
    	<pack id="sect2.cs_CZ">
		<element r:id="e1">2prvni element</element>
		<element r:id="e2">2druhy element</element>
	</pack>
    	<pack id="sect3.cs_CZ">
		<title r:id="title-module">Modul</title>
		<title r:id="title-lecture">Pednka</title>
		<title r:id="title-slides">Flie</title>
		<title r:id="title-task">loha</title>
		<title r:id="title-practices">Cvien</title>
		<title r:id="title-test">Test</title>
		<title r:id="title-discussion">Diskuse</title>
		<title r:id="title-glossary">Slovnek</title>
		<title r:id="title-links">Odkazy</title>
	</pack>
    </xsl:param>
    
    <xsl:template match="/">
        <xsl:apply-templates mode="apply-resources"/>
    </xsl:template>
    
<!-- apply-resources -->    
    <xsl:template match="*[@rr:*]" mode="apply-resources">
    	<xsl:choose>
		<xsl:when test="@rr:id">
			<xsl:variable name="id" select="@rr:id"/>
			<xsl:apply-templates select="$resources/pack[@id=$pack-id]//*[@r:id=$id]" mode="apply-resources"/>
		</xsl:when>
		<xsl:when test="@rr:text">
			<xsl:variable name="id" select="@rr:text"/>
			<xsl:value-of select="$resources/pack[@id=$pack-id]//*[@r:id=$id]"/>
		</xsl:when>
    	</xsl:choose>
    </xsl:template>
	
    <xsl:template match="*" mode="apply-resources" priority="-100">
        <xsl:copy>
            <xsl:copy-of select="@*[not(namespace-uri()='http://tomp.sf.net/2004/resource/reference' 
	    or namespace-uri()='http://tomp.sf.net/2004/resource')]"/>
            <xsl:apply-templates mode="apply-resources"/>
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>