<?xml version="1.0" ?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:strip-space elements="*" />	
	
<xsl:template match="source">
    <programlisting>
<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="{@src}" parse="text"/>
    </programlisting>
</xsl:template>

<xsl:template match="screenshot">
    <screenshot>
        <screeninfo><xsl:value-of select="text()"/></screeninfo>
        <mediaobject>
            <imageobject>
	            <imagedata fileref="{@src}" format="PNG"/>
	        </imageobject>
            <caption>
                <xsl:copy-of select="../description"/>
            </caption>
	    </mediaobject>
    </screenshot>
</xsl:template>

<xsl:template match="program">
    <figure>
        <xsl:copy-of select="title"/>
	    <xsl:apply-templates select="source"/> 
	    <xsl:apply-templates select="screenshot"/> 
    </figure>
</xsl:template>

<xsl:template match="/|programs">
    <xsl:apply-templates select="*" /> 
</xsl:template>

<xsl:template match="*" priority="-1">
</xsl:template>

</xsl:stylesheet>