<?xml version="1.0" encoding="Windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:rr="http://tomp.sf.net/2004/resource/reference"
        version="1.0">

    <xsl:template match="/">
        <xsl:apply-templates mode="correct"/>
    </xsl:template>
    
<!-- add missing title -->    
    <xsl:template match="*[(local-name()='subject' or local-name()='module' or local-name()='lecture' 
    or local-name()='practices' or local-name()='slides' or local-name()='task' 
    or local-name()='test' or local-name()='discussion' or local-name()='glossary' 
    or local-name()='links') and not(title)]" mode="correct">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
	    <title rr:id="title-{local-name()}"/>
            <xsl:apply-templates mode="correct"/>
        </xsl:copy>
    </xsl:template>
<!--
    <xsl:template match="lecture[not(title)]" mode="correct">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
	    <title rr:id="title-lecture"/>
            <xsl:apply-templates mode="correct"/>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="task[not(title)]" mode="correct">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
	    <title rr:id="title-task"/>
            <xsl:apply-templates mode="correct"/>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="slides[not(title)]" mode="correct">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
	    <title rr:id="title-slides"/>
            <xsl:apply-templates mode="correct"/>
        </xsl:copy>
    </xsl:template>
-->
    <xsl:template match="*" priority="-1" mode="correct">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
            <xsl:apply-templates mode="correct"/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="text()|comment()|processing-instruction()" mode="correct">
        <xsl:copy-of select="."/>
    </xsl:template>
</xsl:stylesheet>