<?xml version="1.0" encoding="Windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

    <xsl:param name="el.src.base.dir" select="''"/>

    <xsl:template match="/">
        <xsl:apply-templates select="." mode="flatten"/>
    </xsl:template>

    <xsl:template match="@fileref|@href" mode="flatten">
        <xsl:param name="base.dir" select="$el.src.base.dir"/>
        <xsl:attribute name="{local-name()}">
                <xsl:if test="$base.dir != ''">
                    <xsl:value-of select="concat($base.dir, '/')"/>
                </xsl:if>
                <xsl:value-of select="."/>
        </xsl:attribute>
    </xsl:template>

    <xsl:template match="@*" mode="flatten" priority="-1">
        <xsl:copy-of select="."/>
    </xsl:template>

    <xsl:template match="*|text()" mode="flatten">
        <xsl:param name="base.dir" select="$el.src.base.dir"/>
        <xsl:param name="node"/>
        <xsl:param name="file"/>
        <xsl:copy>
            <xsl:if test="$node">
                <xsl:copy-of select="$node/@security|$node/@os|$node/@arch|$node/@userlevel|$node/@condition"/>
                <xsl:attribute name="rel-dir">
                    <xsl:value-of select="substring-after($base.dir, $el.src.base.dir)"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="$file">
                <xsl:attribute name="file">
                    <xsl:value-of select="$file"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:apply-templates select="@*|*|text()" mode="flatten">
                <xsl:with-param name="base.dir" select="$base.dir"/>
            </xsl:apply-templates>
        </xsl:copy>
    </xsl:template>

    <!-- flatten -->
    <xsl:template match="*[@include]" mode="flatten">
        <xsl:param name="base.dir" select="$el.src.base.dir"/>
    <!-- FIXME: do last / -->
        <xsl:variable name="rel.dir" select="substring-before(@include, '/')"/>
        <xsl:variable name="file">
            <xsl:choose>
                <xsl:when test="substring-after(@include, '/')">
                    <xsl:value-of select="substring-after(@include, '/')"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="@include"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="abs.dir">
            <xsl:choose>
                <xsl:when test="$base.dir != '' and $rel.dir != ''">
                    <xsl:value-of select="concat($base.dir, '/', $rel.dir)"/>
                </xsl:when>
                <xsl:when test="$base.dir = '' and $rel.dir != ''">
                    <xsl:value-of select="$rel.dir"/>
                </xsl:when>
                <xsl:when test="$base.dir != '' and $rel.dir = ''">
                    <xsl:value-of select="$base.dir"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="''"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="abs.file">
            <xsl:choose>
                <xsl:when test="$abs.dir =''">
                    <xsl:value-of select="$file"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="concat($abs.dir, '/', $file)"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="node" select="."/> 
        <!-- <xsl:message>gonna read=<xsl:value-of select="$abs.file"/></xsl:message> -->
        <xsl:apply-templates select="document($abs.file)/*" mode="flatten">
            <xsl:with-param name="base.dir" select="$abs.dir"/>
            <xsl:with-param name="node" select="$node"/>
            <xsl:with-param name="file" select="$abs.file"/>
        </xsl:apply-templates>
    </xsl:template>

</xsl:stylesheet>