<?xml version="1.0" encoding="Windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:axi="http://tomp.sf.net/2004/axi"
        xmlns:f="http://tomp.sf.net/2004/flatten"
        xmlns:prof="http://tomp.sf.net/2004/profile"
        xmlns:rr="http://tomp.sf.net/2004/resource/reference"
        exclude-result-prefixes="f axi rr prof"
        version="1.0">

    <xsl:output method="xml"/>
    <xsl:output name="text" method="text"/>

    <xsl:strip-space elements="*" />

    <xsl:param name="base" select="'/c:/devel/hybrid/src/pb138/'"/>

    <xsl:param name="system.xtcl.type-database.xml" select="'/c:/devel/hybrid/system/xtcl/type-database.xml'"/>

    <xsl:param name="dest-dir" select="'/c:/devel/hybrid/build/pb138/web/'"/>
    <xsl:param name="script-dir" select="'/c:/devel/hybrid/build/pb138/scripts/'"/>
    <xsl:param name="temp-dir" select="'/c:/devel/hybrid/build/pb138/temp/'"/>
    <xsl:param name="all-in-one-dir" select="'/c:/devel/hybrid/build/pb138/all-in-one/'"/>

    <xsl:param name="slides-all.xml" select="concat($temp-dir, 'slides-all.xml')"/>

    <!--<xsl:param name="xtcl.command.style.slides">c:/devel/hybrid/system/xsl/slides-3.3.0/xsl/xhtml/plain.xsl</xsl:param>-->
    <xsl:param name="xtcl.command.style.slides">c:/devel/docbook-custom/html/cs-slides.xsl</xsl:param>
    <xsl:param name="slides.xsl.params">css.stylesheet.dir=/~tomp/slides/css admon.graphics.path=/~tomp/slides/images/ script.dir=/~tomp/slides/browser graphics.dir=/~tomp/slides/graphics </xsl:param>

    <!--<xsl:param name="xtcl.command.style.docbook">c:/devel/docbook-xsl-1.64.1/xhtml/docbook.xsl</xsl:param>-->
    <xsl:param name="xtcl.command.style.docbook">c:/devel/docbook-custom/html/cs-docbook.xsl</xsl:param>
	
    <xsl:param name="xtcl.command.style.subject2mainpage">system/xsl/web/subject2mainpage.xsl</xsl:param>
    <xsl:param name="xtcl.command.style.mainpage2xhtml">system/xsl/web/mainpage2xhtml.xsl</xsl:param>

    <xsl:template match="/">
        <xsl:apply-templates select="subject"/>
    </xsl:template>

    <xsl:template match="subject">
    
	 <!--generate all-in-one all-all.xml -->
        <xsl:result-document href="{concat($temp-dir, 'all-all.xml')}">
            <book>
                <axi:include href="{concat($temp-dir, 'slides-all-included.xml')}"/>
                <axi:include href="{concat($temp-dir, 'glossaries-all.xml')}"/>
                <axi:include href="{concat($temp-dir, 'discussions-all.xml')}"/>
                <axi:include href="{concat($temp-dir, 'tasks-all.xml')}"/>
                <axi:include href="{concat($temp-dir, 'tests-all.xml')}"/>
                <axi:include href="{concat($temp-dir, 'links-all.xml')}"/>
                <axi:include href="{concat($temp-dir, 'calendar-all.xml')}"/>
            </book>
        </xsl:result-document>

	<!--generate all-in-one slides .html script-->
        <xsl:result-document href="{concat($script-dir, 'all2xhtml.xcf')}" format="text">
TYPEDATABASEFILTER $tdb
CHAIN <xsl:value-of select="$system.xtcl.type-database.xml"/> $tdb

ADAPTIVEXINCLUDER $axi-slides-xinclude $tdb
CHAIN <xsl:value-of select="concat($temp-dir, 'slides-all.xml')"/> $axi-slides-xinclude <xsl:value-of select="$temp-dir"/>slides-all-included.xml           

ADAPTIVEXINCLUDER $axi-slides $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
CHAIN <xsl:value-of select="concat($temp-dir, 'slides-all-included.xml')"/> $axi-slides <xsl:value-of select="$all-in-one-dir"/>slides-all.html           

ADAPTIVEXINCLUDER $axi-glossaries $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
CHAIN <xsl:value-of select="concat($temp-dir, 'glossaries-all.xml')"/> $axi-glossaries <xsl:value-of select="$all-in-one-dir"/>glossaries-all.html           

ADAPTIVEXINCLUDER $axi-discussions $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
CHAIN <xsl:value-of select="concat($temp-dir, 'discussions-all.xml')"/> $axi-discussions <xsl:value-of select="$all-in-one-dir"/>discussions-all.html           

ADAPTIVEXINCLUDER $axi-tasks $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
CHAIN <xsl:value-of select="concat($temp-dir, 'tasks-all.xml')"/> $axi-tasks <xsl:value-of select="$all-in-one-dir"/>tasks-all.html           

ADAPTIVEXINCLUDER $axi-tests $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
CHAIN <xsl:value-of select="concat($temp-dir, 'tests-all.xml')"/> $axi-tests <xsl:value-of select="$all-in-one-dir"/>tests-all.html           

ADAPTIVEXINCLUDER $axi-links $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
CHAIN <xsl:value-of select="concat($temp-dir, 'links-all.xml')"/> $axi-links <xsl:value-of select="$all-in-one-dir"/>links-all.html           

ADAPTIVEXINCLUDER $axi-calendar $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
CHAIN <xsl:value-of select="concat($temp-dir, 'calendar-all.xml')"/> $axi-calendar <xsl:value-of select="$all-in-one-dir"/>calendar-all.html           

ADAPTIVEXINCLUDER $axi-all $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
CHAIN <xsl:value-of select="concat($temp-dir, 'all-all.xml')"/> $axi-all <xsl:value-of select="$all-in-one-dir"/>all-all.html           
<!-- FIXME -->
        </xsl:result-document>
    
	 <!--generate slides-printable2xhtml script -->
        <xsl:result-document href="{concat($script-dir, 'slides-printable.xcf')}" format="text">
TYPEDATABASEFILTER $tdb
CHAIN <xsl:value-of select="$system.xtcl.type-database.xml"/> $tdb
            <xsl:for-each select="//slides[@href]">
            
ADAPTIVEXINCLUDER $ai $tdb target-doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" variant=printable
CHAIN <xsl:value-of select="concat($base, @f:src-dir-rel, @href)"/> $ai <xsl:value-of select="concat($dest-dir, @f:src-dir-rel, substring-before(@href, '.xml'))"/>/slides-printable.html
            </xsl:for-each>
        </xsl:result-document>
    
	 <!--generate slides2xhtml script -->
        <xsl:result-document href="{concat($script-dir, 'slides2xhtml.xcf')}" format="text">
STYLE $slides2xhtml <xsl:value-of select="$xtcl.command.style.slides"/>
            <xsl:for-each select="//slides[@href]">
TRANSFORM <xsl:value-of select="concat($base, @f:src-dir-rel, @href)"/> $slides2xhtml <xsl:value-of select="concat($dest-dir, @f:src-dir-rel, substring-before(@href, '.xml'))"/>/slides.html <xsl:value-of select="$slides.xsl.params"/>
            </xsl:for-each>
        </xsl:result-document>
        
	 <!--generate all-in-one slides-all.xml -->
        <xsl:result-document href="{concat($temp-dir, 'slides-all.xml')}">
            <chapter>
                <xsl:for-each select="//slides">
                    <xsl:choose>
                        <xsl:when test="@href">
                            <axi:include href="{concat($base, @f:src-dir-rel, @href)}"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:apply-templates select="." mode="slides"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:for-each>
            </chapter>
        </xsl:result-document>
	
    <!--generate all-in-one glossary-all.xml -->
        <xsl:result-document href="{concat($temp-dir, 'glossaries-all.xml')}">
            <chapter>
                <xsl:for-each select="//glossary">
                    <xsl:choose>
                        <xsl:when test="@href">
                            <axi:include href="{concat($base, @f:src-dir-rel, @href)}"/>
                        </xsl:when>
                        <xsl:otherwise>
		        <!-- inline glossary, just copy it -->
                            <xsl:copy-of select="."/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:for-each>
            </chapter>
        </xsl:result-document>
	

     <!--generate all-in-one discussion-all.xml -->
        <xsl:result-document href="{concat($temp-dir, 'discussions-all.xml')}">
            <chapter>
                <xsl:for-each select="//discussion">
                    <xsl:choose>
                        <xsl:when test="@href">
                            <axi:include href="{concat($base, @f:src-dir-rel, @href)}"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:apply-templates select="."/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:for-each>
            </chapter>
        </xsl:result-document>
	
	<!--generate all-in-one task-all.xml -->
        <xsl:result-document href="{concat($temp-dir, 'tasks-all.xml')}">
            <chapter>
                <xsl:for-each select="//task">
                    <xsl:choose>
                        <xsl:when test="@href">
                            <axi:include href="{concat($base, @f:src-dir-rel, @href)}"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:apply-templates select="."/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:for-each>
            </chapter>
        </xsl:result-document>
	
	<!--generate all-in-one test-all.xml -->
        <xsl:result-document href="{concat($temp-dir, 'tests-all.xml')}">
            <chapter>
                <xsl:for-each select="//test">
                    <xsl:choose>
                        <xsl:when test="@href">
                            <axi:include href="{concat($base, @f:src-dir-rel, @href)}"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:apply-templates select="."/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:for-each>
            </chapter>
        </xsl:result-document>

	<!--generate all-in-one links-all.xml -->
        <xsl:result-document href="{concat($temp-dir, 'links-all.xml')}">
            <chapter>
                <xsl:for-each select="//links">
                    <xsl:choose>
                        <xsl:when test="@href">
                            <axi:include href="{concat($base, @f:src-dir-rel, @href)}"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:apply-templates select="."/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:for-each>
            </chapter>
        </xsl:result-document>
	
	<!--generate all-in-one calendar-all.xml -->
        <xsl:result-document href="{concat($temp-dir, 'calendar-all.xml')}">
            <chapter>
                <title>Title</title>
                <para>
                    <xsl:for-each select="//*[@date]">
                        <ulink url="{concat($base, @f:src-dir-rel, ancestor-or-self::*[1]/@src-file)}"/>,
                    </xsl:for-each>
                </para>
            </chapter>
        </xsl:result-document>
	
	<!-- generate index-module.html script -->
        <xsl:result-document href="{concat($script-dir, 'subject2index-module.xcf')}" format="text">
STYLE $subject2mainpage <xsl:value-of select="$xtcl.command.style.subject2mainpage"/>
STYLE $mainpage2xhtml <xsl:value-of select="$xtcl.command.style.mainpage2xhtml"/>
            <xsl:for-each select="//module">

TRANSFILTER $filter-<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/> $subject2mainpage modules-pane=<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/>/ path-to-base=<xsl:value-of select="@f:path-to-base"/>
TEECHAIN $tee-<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/> $filter-<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/> $mainpage2xhtml <xsl:value-of select="$dest-dir"/>
                <xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/>/mainpage.html 
TRANSFILTER $filter-nonavig-<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/> $subject2mainpage modules-pane=<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/>/ path-to-base=<xsl:value-of select="@f:path-to-base"/> show-navig-bar-vert=0
TEECHAIN $tee-nonavig-<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/> $filter-nonavig-<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/> $mainpage2xhtml <xsl:value-of select="$dest-dir"/>
                <xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/>/index.html 
		</xsl:for-each>
TRANSFILTER $filter-mainpage $subject2mainpage at-subject-root=1
CHAIN <xsl:value-of select="$dest-dir"/>resourced.xml <xsl:for-each select="//module"> $tee-<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/> $tee-nonavig-<xsl:value-of select="substring(@f:src-dir-rel, 0, string-length(@f:src-dir-rel))"/>
            </xsl:for-each> $filter-mainpage $mainpage2xhtml <xsl:value-of select="$dest-dir"/>mainpage.html 
        </xsl:result-document>
    </xsl:template>

    <xsl:template match="*" priority="-1">
        <section>
            <xsl:copy-of select="@*|*|text()|comment()"/>
        </section>
    </xsl:template>

    <xsl:template match="links" name="links">
        <section>
            <xsl:copy-of select="@*|title|highlights"/>
            <itemizedlist>
                <xsl:for-each select="ulink">
                    <listitem>
                        <para>
                            <xsl:copy-of select="."/>
                        </para>
                    </listitem>
                </xsl:for-each>
            </itemizedlist>
        </section>
    </xsl:template>

</xsl:stylesheet>