<?xml version="1.0" encoding="Windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:axi="http://www.w3.org/2001/XInclude"
        xmlns:f="http://tomp.sf.net/2004/flatten"
		xmlns:saxon="http://www.w3.org/2001/XInclude"
		version="1.0">
	
	<xsl:output method="html" indent="yes" saxon:character-representation="native"/>
	
    <xsl:param name="path-to-base" select="''"/>
    <xsl:param name="icon-base" select="'/c:/devel/hybrid/system/icons/'"/>

	<xsl:param name="config">
		<color>
			<title type="glossary" background-color="#80FF80"/>
			<title type="test" background-color="#FF8080"/>
		</color>
	</xsl:param>
	
	<xsl:param name="discussion-base-url" select="'/discussion'"/>
	
	<xsl:param name="icons">
		<icon for="subject">
			<img src="48x48/apps/box.png" align="top"/>
		</icon>
		<icon for="module">
			<img src="48x48/filesystems/folder_orange.png" align="top"/>
		</icon>
		<icon for="module-full">
			<img src="48x48/filesystems/folder_orange_open.png" align="top"/>
		</icon>
		<icon for="calendar">
			<img src="48x48/filesystems/folder_orange.png" align="top"/>
		</icon>
		<icon for="lecture">
			<img src="48x48/apps/windows.png" align="top"/>
		</icon>
		<icon for="practices">
			<img src="48x48/apps/tools.png" align="top"/>
		</icon>
		<icon for="task">
			<img src="48x48/mimetypes/txt.png" align="top"/>
		</icon>
		<icon for="test">
			<img src="48x48/apps/gimp.png" align="top"/>
		</icon>
		<icon for="glossary">
			<img src="48x48/mimetypes/document.png" align="top"/>
		</icon>
		<icon for="discussion">
			<img src="48x48/filesystems/trashcan_full.png" align="top"/>
		</icon>
		<icon for="links">
			<img src="48x48/filesystems/www.png" align="top"/>
		</icon>
		<icon for="slides">
			<img src="48x48/filesystems/folder_blue_full.png" align="top"/>
			<!-- <img src="20x22/movie.png" align="top"/> -->
		</icon>
	</xsl:param>
		
	<xsl:template match="mainpage">
		<html>
			<link rel="stylesheet" type="text/css" href="file:///c:/devel/hybrid/system/css/mainpage.css"/>
			<head>
				<xsl:copy-of select="title"/>
			</head>
			<body style="background-color: ">
        <!--  
        <xsl:apply-templates select="main-pane"/>
        -->
				<xsl:choose>
					<xsl:when test="navig-bar-vert">
						<h2 style="background-color: #EEEEFF">
							<xsl:apply-templates select="title"/>
							<span style="color:#808080; font-weight: normal">|<xsl:apply-templates select="highlights"/>
							</span>
						</h2>
						<table><!-- 
	    <xsl:if test="navig-bar-horiz[navig-item]">
            <tr>
	    	<td valign="top" width="25%"> </td>
	        <td valign="top" width="10"> </td>
		<td>
			<xsl:apply-templates select="navig-bar-horiz"/>
		</td>
	    </tr>
	    </xsl:if> -->
							<tr>
								<td valign="top" width="20%">
									<xsl:apply-templates select="navig-bar-vert"/>
								</td>
								<td valign="top" width="10"></td>
								<td valign="top">
									<xsl:apply-templates select="main-pane"/>
								</td>
							</tr>
						</table>
					</xsl:when>
					<xsl:otherwise>
						<h2 style="background-color: #EEEEFF">
							<xsl:choose>
								<xsl:when test="link">
									<a href="link/@ref">
										<xsl:apply-templates select="title"/>
									</a>
								</xsl:when>
								<xsl:otherwise>
									<xsl:apply-templates select="title"/>
								</xsl:otherwise>
							</xsl:choose>
						</h2>
						<xsl:apply-templates select="main-pane"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="footer"/>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="navig-bar-horiz[navig-item]">
		<table>
			<tr>
				<xsl:for-each select="navig-item/icon">
					<td>
						<a href="{../link/@ref}">
							<xsl:copy-of select="*|text()"/>
						</a>
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<xsl:for-each select="navig-item/title">
					<td>
						<xsl:copy-of select="*|text()"/>
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<xsl:for-each select="navig-item/highlights">
					<td>
						<xsl:copy-of select="*|text()"/>
					</td>
				</xsl:for-each>
			
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="navig-bar-vert">
		<table border="0" style="padding-bottom: 3pt; background-color: #DDDDEE">
			<xsl:apply-templates select="navig-item" mode="vert"/>
		</table>
	</xsl:template>
	
	<xsl:template match="navig-item" mode="vert">
		<tr>
			<td valign="top" align="right">
				<a href="{link/@ref}" style="font-weight: bold">
					<xsl:apply-templates select="title/(*|text())"/>
				</a>
				<br/>
				<span style="color:#666666">
					<xsl:apply-templates select="highlights"/>
				</span>
			</td>
			<td valign="absmiddle">
                <xsl:choose>
                <xsl:when test="icon">
				    <xsl:apply-templates select="icon"/>
                </xsl:when>
                <!-- 
                <xsl:otherwise>
                    <xsl:variable name="type" select="@type"/>
                    <xsl:apply-templates select="$icons/icon[@for=$type]"/>
                </xsl:otherwise>
                 -->
                </xsl:choose>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="footer">
		<hr/>
		<xsl:apply-templates select="*|text()"/>
	</xsl:template>
	
	<xsl:template match="author">
		<p align="right">
			<xsl:copy-of select="."/>
		</p>
	</xsl:template>
<!--
<xsl:template match="link">
	<a href="{@ref}">
		<xsl:apply-templates />
	</a>
</xsl:template>
-->
	<xsl:template match="main-pane">
		<xsl:apply-templates select="pane-item"/>
	</xsl:template>
	
	<xsl:template match="pane-item" priority="-1">
		<div style="border: thin solid #AAAAAA; margin-bottom: 5pt; padding: 2pt">
            <xsl:call-template name="item-body"/>
		</div>
	</xsl:template>
	
	<xsl:template match="body-item" priority="-1">
		<div style="border: thin dotted #AAAAAA; margin-bottom: 2pt; padding: 2pt">
            <xsl:call-template name="item-body"/>
		</div>
	</xsl:template>
	
	<xsl:template name="item-body">
        <div style="background-color: #FFFFEE">
            <span style="font-weight:bold">
                <xsl:apply-templates select="title"/>
            </span>
            <xsl:if test="highlights">
                <span style="color: #808080">|<xsl:apply-templates select="highlights"/>
                </span>
            </xsl:if>
            <!-- | type: <xsl:value-of select="@type"/> -->
            <span style="color: #808080; text-align: right"><xsl:if test="@author or @id or @date">[<xsl:if test="@id">#<xsl:value-of select="@id"/> </xsl:if><xsl:if test="@author"> author: <xsl:value-of select="@author"/> </xsl:if><xsl:if test="@date"> created: <xsl:value-of select="@created"/></xsl:if>]</xsl:if>
            </span>
            <xsl:apply-templates select="calendar"/>
        </div>
        <xsl:apply-templates select="body"/>
	</xsl:template>
	
	<xsl:template match="body-item[para]">
		<div style="padding: 2pt">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	
	<xsl:template match="calendar">
		<table border="0">
	    <!--<tr><td>Po</td><td>t</td><td>St</td><td>t</td><td>P</td><td>So</td><td>Ne</td></tr>-->
			<tr>
				<xsl:apply-templates mode="calendar"/>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="day" mode="calendar">
		<xsl:if test="preceding-sibling::day[1]/@month!=@month">
			<td>*</td>
		</xsl:if>
		<td>
			<xsl:attribute name="style">
				<xsl:choose>
					<xsl:when test="@working">background-color: #DDDDDD</xsl:when>
					<xsl:otherwise>background-color: #EEEEEE
				</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:if test="@active">
				<b style="color: red">
					<xsl:apply-templates mode="calendar"/>
				</b>
			</xsl:if>
			<xsl:if test="not(@active)">
				<xsl:apply-templates mode="calendar"/>
			</xsl:if>
		</td>
	</xsl:template>
	
	<xsl:template match="link" mode="calendar">
		<a href="{@href}">
			<xsl:value-of select="../@day"/>. <xsl:copy-of select="text()"/>
		</a>
	</xsl:template>
	
	<xsl:template match="text" mode="calendar">
		<xsl:copy-of select="text()"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="../@day"/>.  
</xsl:template>
	
	<xsl:template match="header|footer" mode="calendar">
		<th style="font-size: smaller; color: #808080">
			<xsl:copy-of select="text()"/>
		</th>
	</xsl:template>
	
	<xsl:template match="title" priority="-1">
        <!-- get explicit icon or default -->
        <xsl:choose>
        <xsl:when test="../icon">
		    <xsl:apply-templates select="../icon"/>
        </xsl:when>
        <xsl:otherwise>
            <xsl:variable name="type" select="../@type"/>
            <xsl:apply-templates select="$icons/icon[@for=$type]"/>
        </xsl:otherwise>
        </xsl:choose>
        <!-- link or not -->
        <xsl:choose>
        <xsl:when test="../link">
            <a href="{../link/@ref}">
                <xsl:apply-templates select="*|text()"/>
            </a>
        </xsl:when>
        <xsl:otherwise>
    		<xsl:apply-templates select="*|text()"/>
        </xsl:otherwise>
        </xsl:choose>
	</xsl:template>
	
	<xsl:template match="highlights">
		<xsl:apply-templates select="*|text()"/>
	</xsl:template>
	
	<xsl:template match="body">
		<div style="margin: 2pt 2pt 2pt 2pt; padding: 2pt 2pt 2pt 2pt">
			<xsl:apply-templates select="*|text()"/>
		</div>
	</xsl:template>
<!-- 
<xsl:template match="*" mode="body-item" priority="-2">
	<span style="font-weight: bold; color: #FF8080">
		<xsl:apply-templates select="*|text()"/>
	</span>
</xsl:template>
 -->
	<xsl:template match="para">
		<div>
			<xsl:apply-templates select="*|text()"/>
		</div>
	</xsl:template>
	
	<xsl:template match="icon">
        <xsl:apply-templates select="img|text()"/>
	</xsl:template>
	
	<xsl:template match="img">
        <xsl:copy>
            <xsl:copy-of select="@*[not(local-name()='src')]"/>
            <xsl:attribute name="src">
                <xsl:value-of select="concat($icon-base, @src)"/>
            </xsl:attribute>
        </xsl:copy>
	</xsl:template>
	
	<xsl:template match="*" priority="-100">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates select="*|text()"/>
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>