<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink"
        version="1.0">

    <xsl:param name="lxp.document" select="'doc_id'"/>

    <xsl:param name="lxp.document.edit.image" select="'/devel/docbook-custom/images/el/edit.png'"/>

    <xsl:param name="lxp.elements" select="'para'"/>
    <xsl:variable name="_lxp.elements" select="concat(translate($lxp.elements, ' ,;','|||'), '|')"/>

<!-- By default copy the whole document -->
    <xsl:template match="node()" priority="-1">
        <xsl:copy>
            <xsl:apply-templates select="node()"/>
        </xsl:copy>
    </xsl:template>

<!-- For each element to edit, a link to edit service is generated -->
    <xsl:template match="*">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
            <xsl:apply-templates select="node()"/>
            <xsl:if test="contains($_lxp.elements, concat(local-name(), '|'))">
                <xsl:apply-templates select="." mode="lxp.link"/>
            </xsl:if>
        </xsl:copy>
      <!-- Copy original element -->
    </xsl:template>

    <xsl:template match="*" mode="lxp.link">
        <ulink url="http://edit.srv.com/edit?doc={$lxp.document}&amp;id={@id}">
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="{$lxp.document.edit.image}"/>
                </imageobject>
                <textobject>
                    <phrase>edit with edit.srv.com</phrase>
                </textobject>
            </inlinemediaobject>
        </ulink>
    </xsl:template>
</xsl:stylesheet>
