<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="1.0">

    <xsl:param name="el.lxp.document" select="'doc_id'"/>
    <xsl:param name="el.lxp.url" select="'http://edit.srv.com/edit'"/>
    <xsl:param name="el.lxp.image" select="'file:///c:/devel/docbook-custom/images/el/edit.png'"/>

    <!-- <xsl:param name="el.lxp.elements" select="'para application'"/> -->
    <xsl:param name="el.lxp.elements"/>
    <xsl:variable name="_el.lxp.elements" select="concat(translate($el.lxp.elements, ' ,;','|||'), '|')"/>

    <xsl:template match="*" mode="el.lxp.link" priority="-1">
    </xsl:template>

    <xsl:template match="*[@id]" mode="el.lxp.link">
        <a href="{$el.lxp.url}?doc={$el.lxp.document}&amp;id={@id}">
            <img align="absmiddle" alt="Edit" border="0" src="{$el.lxp.image}"/>
        </a>
        <xsl:text>&#160;</xsl:text>
    </xsl:template>

    <xsl:template name="anchor">
        <xsl:param name="node" select="."/>
        <xsl:param name="conditional" select="1"/>
        <xsl:variable name="id">
            <xsl:call-template name="object.id">
                <xsl:with-param name="object" select="$node"/>
            </xsl:call-template>
        </xsl:variable>
  <!-- added by TP Aug 18, 2004 -->
        <xsl:if test="contains($_el.lxp.elements, concat(local-name($node), '|'))">
            <xsl:apply-templates select="$node" mode="el.lxp.link"/>
        </xsl:if>
        <xsl:if test="$conditional = 0 or $node/@id">
            <a name="{$id}"/>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>