<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>
				
<xsl:import href="extract-mm-links-txt.xsl" />

<xsl:output method="html"/>

<xsl:template match="node[@TEXT=$subtree.title]">
    <xsl:for-each select="descendant-or-self::node[@LINK]">
        <xsl:choose>
            <xsl:when test="starts-with(@LINK, 'http://')">
                <a href="{substring(@LINK, 8)}"><xsl:value-of select="@LINK"/></a><br/>
            </xsl:when>
            <xsl:when test="starts-with(@LINK, 'ftp://')">
                <a href="{substring(@LINK, 7)}"><xsl:value-of select="@LINK"/></a><br/>
            </xsl:when>
        </xsl:choose>
    </xsl:for-each>
</xsl:template>

<xsl:template match="/">
<html>
<body>
    <xsl:apply-templates select="*"/>
</body>
</html>
</xsl:template>

</xsl:stylesheet>
