<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
                
	<xsl:output method="xml" indent="yes" />

	<xsl:template match="benchmarking">
	    <table>
	        <caption><xsl:value-of select="@title"/>, measured on <xsl:value-of select="@date-measured"/> by <xsl:value-of select="@measured-by"/></caption>
	            <xsl:apply-templates select="*"/>
	    </table>
	</xsl:template>
	
	<xsl:template match="data">
	    <tr>
	        <th>Data size (M items) / Time (s)</th>
	        <xsl:apply-templates select="*"/>
	    </tr>
	</xsl:template>
	
	<xsl:template match="size">
	    <th>
	        <xsl:apply-templates select="*|text()"/>
	    </th>
	</xsl:template>
	
	<xsl:template match="program">
	    <tr><th><xsl:value-of select="@name"/> [<xsl:value-of select="program/author"/>]</th>
	        <xsl:apply-templates select="run"/>
	    </tr>
	</xsl:template>
	
	<xsl:template match="run">
	    <td>
	        <xsl:value-of select="@time"/>
	    </td>
	</xsl:template>
	
</xsl:stylesheet>
