<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:svg="http://www.w3.org/2000/svg">
                
	<xsl:output method="xml" indent="yes" doctype-public="-//Michal Vanek//DTD Business Graphs V0.9//EN" doctype-system="graph.dtd"/>

	<xsl:template match="benchmarking">
	    <graph type="column" title="{@title}" xTitle="Data size (in M items)" yTitle="Execution time (ms)" legend="Algorithms">
	        <xsl:apply-templates select="*"/>
	    </graph>
	</xsl:template>
	
	<xsl:template match="data">
	    <labels>
	        <xsl:apply-templates select="*"/>
	    </labels>
	</xsl:template>
	
	<xsl:template match="size">
	    <label>
	        <xsl:apply-templates select="*|text()"/>
	    </label>
	</xsl:template>
	
	<xsl:template match="program">
	    <series name="{@name} - author: {program/author}">
	        <xsl:apply-templates select="run"/>
	    </series>
	</xsl:template>
	
	<xsl:template match="run">
	    <value>
	        <xsl:value-of select="@time"/>
	    </value>
	</xsl:template>
	
</xsl:stylesheet>
