<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (c) 2004 Michal Vaněk-->
<!--
=========================================================
Fills out the default series colors and if it's pie graph also values colors
=========================================================
Changes on 05/02/2004 by TP: no DTD needed any more, 
defaults are inserted by this stylesheet
-->

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="yes"/>
	
	<xsl:param name="COLORS" select="'crimson;midnightblue;limegreen;orange;red;darkgreen;yellow;teal'"/>
	<xsl:param name="TYPE" select="'column'"/>
	<xsl:param name="TYPES" select="'column;bar;point;line;area;pie'"/>
	<xsl:param name="TOP_VAL_PERC" select="'80'"/>
	<xsl:param name="BG_COLOR" select="'white'"/>
	<xsl:param name="COLOR" select="'auto'"/>

	<xsl:variable name="colors" select="tokenize($COLORS,';')"/>
	
	<xsl:variable name="graphType">
	    <xsl:choose>
	        <xsl:when test="not(/graph/@type)"><xsl:value-of select="$TYPE"/></xsl:when>
    	    <xsl:otherwise><xsl:value-of select="/graph/@type"/></xsl:otherwise>
	    </xsl:choose>
	</xsl:variable>
	
	<xsl:template match="/graph">
		<xsl:copy>
            <xsl:if test="not(@type)"><xsl:attribute name="type" select="$graphType"/></xsl:if>
            <xsl:if test="not(@topValPerc)"><xsl:attribute name="topValPerc" select="$TOP_VAL_PERC"/></xsl:if>
            <xsl:if test="not(@colors)"><xsl:attribute name="colors" select="$COLORS"/></xsl:if>
            <xsl:if test="not(@bgColor)"><xsl:attribute name="bgColor" select="$BG_COLOR"/></xsl:if>
			<xsl:copy-of select="@*|labels"/>
			<xsl:apply-templates select="series"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="series">
		<xsl:variable name="position" select="position()"/>
		<xsl:choose>
			<xsl:when test="not(@color) or @color='auto'">
				<series color="{$colors[position()=((($position -1) mod count($colors))+1)]}" name="{@name}">
					<xsl:apply-templates select="value"/>
				</series>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="@*"/>
				<xsl:apply-templates select="value"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="value">
		<xsl:variable name="position" select="position()"/>
		<xsl:choose>
			<xsl:when test="$graphType='pie'">
				<value color="{$colors[position()=((($position -1) mod count($colors))+1)]}" label="{@label}">
					<xsl:value-of select="."/>
				</value>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
