<?xml version="1.0" ?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:strip-space elements="*" />	
	
<xsl:template match="source">
    <programlisting>
{program source}
    </programlisting>
</xsl:template>

<xsl:template match="screenshot">
    <screenshot>
        <screeninfo><xsl:value-of select="text()"/></screeninfo>
        <mediaobject>
            <imageobject>
	            <imagedata fileref="{@src}"/>
	        </imageobject>
            <caption>
                Screenshot from '<xsl:apply-templates select="../title/text()"/>' program
            </caption>
	    </mediaobject>
    </screenshot>
</xsl:template>

<xsl:template match="program">
    <figure>
	    <xsl:apply-templates select="title"/> 
	    <xsl:apply-templates select="source"/> 
	    <xsl:apply-templates select="description"/> 
	    <xsl:apply-templates select="screenshot"/> 
    </figure>
</xsl:template>

<xsl:template match="/|programs|description">
    <xsl:apply-templates select="*|text()" /> 
</xsl:template>

<xsl:template match="title|para|text()">
    <xsl:copy-of select="." /> 
</xsl:template>

<xsl:template match="*" priority="-1">
</xsl:template>

</xsl:stylesheet>