<?xml version="1.0" ?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:strip-space elements="*" />	
	
<xsl:output method="xml" encoding="Windows-1250" indent="no" />

<xsl:template match="@*|*|comment()">
    <xsl:copy>
		    <xsl:apply-templates select="*|@*|text()|comment()" /> 
    </xsl:copy>
</xsl:template>

<xsl:template match="slidesinfo|processing-instruction()|title|speakernotes"> 
</xsl:template>

<xsl:template match="slides|footnote">
    <xsl:apply-templates />
</xsl:template>

<xsl:template match="foilgroup|foil">
    <section name="{title}">
            <xsl:copy-of select="@*"/>
	    <xsl:apply-templates/> 
    </section>
</xsl:template>

<xsl:template match="para[parent::listitem]">
    <xsl:copy-of select="@*"/>
    <xsl:apply-templates/> 
</xsl:template>

<xsl:template match="para|simpara">
    <p>
            <xsl:copy-of select="@*"/>
	    <xsl:apply-templates/> 
    </p>
</xsl:template>

<xsl:template match="orderedlist">
    <ol>
            <xsl:copy-of select="@*"/>
	    <xsl:apply-templates/> 
    </ol>
</xsl:template>

<xsl:template match="itemizedlist">
    <ul>
            <xsl:copy-of select="@*"/>
	    <xsl:apply-templates/> 
    </ul>
</xsl:template>

<xsl:template match="listitem">
    <li>
            <xsl:copy-of select="@*"/>
	    <xsl:apply-templates/> 
    </li>
</xsl:template>

<xsl:template match="screen">
    <code xml:space="preserve">
            <xsl:copy-of select="@*"/>
	    <xsl:apply-templates/> 
    </code>
</xsl:template>

<xsl:template match="ulink">
    <a href="{@url}">
	    <xsl:apply-templates/> 
    </a>
</xsl:template>

<xsl:template match="/">
    <xsl:apply-templates select="*" /> 
</xsl:template>
</xsl:stylesheet>