@echo off
rem Name:
rem 	makeGraph.bat
rem Description:
rem	transforms the input file into a graph

if "%1"=="" goto :explain
if "%GRAPH_HOME%"=="" goto :badSetings

if not exist %GRAPH_HOME%\bin\prepare.sxx call %GRAPH_HOME%\bin\compile
if not exist %GRAPH_HOME%\bin\makeGraph.sxx call %GRAPH_HOME%\bin\compile

rem Also validate
rem Prepare file
rem Transform to a graph

echo.
echo Transforming file '%1':
echo.
call saxon7 -c %1 %GRAPH_HOME%\bin\prepare.sxx >%TEMP%\temp.xml
call saxon7 -c %TEMP%\temp.xml %GRAPH_HOME%\bin\makeGraph.sxx >%1.svg
del %TEMP%\temp.xml
echo.
echo Done.
goto end

:badSetings
echo.
echo Error!
echo Variable GRAPH_HOME must point to graph directory
goto :end

:explain
echo.
echo Usage: makeGraph input.xml
echo.
echo Transforms input.xml valid graph data file into input.xml.svg
echo.

:end
