@echo off
rem Name:
rem 	validateGraph.bat
rem Description:
rem	validates graph source file against DTD and Schematron

if "%1"=="" goto :explain
if "%GRAPH_HOME%"=="" goto :badSetings

if not exist %GRAPH_HOME%\bin\graphSchema.sxx %GRAPH_HOME%\bin\compile

rem Runs SAXON in validating mode
echo.
echo Validation errors for file '%1':
echo.
call saxon7 -v -c %1 %GRAPH_HOME%\bin\graphSchema.sxx
echo.
goto end

:badSetings
echo.
echo Error!
echo Variable GRAPH_HOME must point to graph directory
goto end

:explain
echo.
echo Usage: validateGraph input.xml
echo.
echo Validates input.xml against its DTD and Schematron graph schema.
echo.

:end
