<?xml version="1.0" ?>
<!-- Preprocessor for the Schematron XML Schema Language.
	http://www.ascc.net/xml/resource/schematron/schematron.html
    Copyright (C) 1999 Rick Jelliffe and Academia Sinica Computing Centre
    Permission to use granted under GPL or MPL.

    History: 
	1999-10-18 Created RJ
	1999-10-25 In report and assert should use apply-template not value-of
-->
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:axsl="http://www.w3.org/1999/XSL/TransformAlias">

<xsl:namespace-alias stylesheet-prefix="axsl" result-prefix="xsl"/>

<!-- Category: top-level-element -->
<xsl:output
  method="xml" 
  omit-xml-declaration="no"
  standalone="yes" 
  indent="yes" />

<xsl:template match="schema">
	<axsl:stylesheet version="1.0">
		<axsl:output method="text"/>
		<axsl:template match='/'>
			<xsl:apply-templates mode="do-all-patterns" />
		</axsl:template>

		<xsl:apply-templates />

       		<axsl:template match="text()" priority="-1">
       			<!-- strip characters -->
       		</axsl:template>
	</axsl:stylesheet>

</xsl:template>

<xsl:template match="pattern" mode="do-all-patterns" >
	<axsl:apply-templates mode='M{count(preceding-sibling::*)}' />
</xsl:template>

<xsl:template match="pattern">
	<xsl:apply-templates />

       	<axsl:template match="text()" priority="-1" mode="M{count(preceding-sibling::*)}">
       		<!-- strip characters -->
        </axsl:template>
</xsl:template>

<xsl:template match="rule">
	<axsl:template match='{@context}' priority='{4000 - count(preceding-sibling::*)}' mode='M{count(../preceding-sibling::*)}'>
		<xsl:apply-templates />
        	<axsl:apply-templates mode='M{count(../preceding-sibling::*)}'/>
	</axsl:template>

</xsl:template>

<xsl:template match="name" mode="text">
        <xsl:choose>
		<xsl:when test='@path' >
			<axsl:value-of select="name({@path})" />
		</xsl:when>		
		<xsl:otherwise>
			<axsl:value-of select="name(.)" />
		</xsl:otherwise>
        </xsl:choose>
</xsl:template>

<xsl:template match="assert">
	<axsl:choose> 
		<axsl:when test='{@test}'/>
		<axsl:otherwise>
In pattern <xsl:value-of select="ancestor::pattern/@name"/>:
	<xsl:apply-templates mode="text" />
		</axsl:otherwise>
	</axsl:choose> 

</xsl:template>

<xsl:template match="report">
	<axsl:if test='{@test}'>
In pattern <xsl:value-of select="ancestor::pattern/@name"/>:
	<xsl:apply-templates mode="text"/>
	</axsl:if> 
</xsl:template>

<xsl:template match="text()" priority="-1" mode="do-all-patterns">
	<!-- strip characters -->
</xsl:template>

<xsl:template match="text()" priority="-1">
	<!-- strip characters -->
</xsl:template>

</xsl:stylesheet>