<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (c) 2004 Michal Vaněk-->
<!--
=========================================================
Fills out the default series colors and if it's pie graph also values colors
=========================================================-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="no"/>

	<xsl:variable name="colors" select="tokenize(/graph/@colors,';')"/>
	<xsl:variable name="graphType" select="/graph/@type"/>

	<xsl:template match="/graph">
		<xsl:copy>
			<xsl:copy-of select="@*|labels"/>
			<xsl:apply-templates select="series"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="series">
		<xsl:variable name="position" select="position()"/>
		<xsl:choose>
			<xsl:when test="@color='auto'">
				<series color="{$colors[position()=((($position -1) mod count($colors))+1)]}" name="{@name}">
					<xsl:apply-templates select="value"/>
				</series>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="@*"/>
				<xsl:apply-templates select="value"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="value">
		<xsl:variable name="position" select="position()"/>
		<xsl:choose>
			<xsl:when test="$graphType='pie'">
				<value color="{$colors[position()=((($position -1) mod count($colors))+1)]}" label="{@label}">
					<xsl:value-of select="."/>
				</value>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
