<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="text"/>
   <xsl:template match="/">
      <xsl:apply-templates mode="M0"/>
      <xsl:apply-templates mode="M1"/>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="//value" priority="4000" mode="M0">
      <xsl:choose>
         <xsl:when test="string(number(.))!='NaN'"/>
         <xsl:otherwise>
In pattern Value element must contain a number:
	Error in value. Graph is contructed from numbers!...</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M0"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M0"/>
   <xsl:template match="/graph[@type='pie']" priority="4000" mode="M1">
      <xsl:choose>
         <xsl:when test="count(series)=1"/>
         <xsl:otherwise>
In pattern Check pie graph:
	Pie graph must have just and only one series of values!</xsl:otherwise>
      </xsl:choose>
      <xsl:if test="//value[node()&lt;0]">
In pattern Check pie graph:
	Values in pie graph may not be negative!</xsl:if>
      <xsl:apply-templates mode="M1"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M1"/>
   <xsl:template match="/graph/series[position()&gt;1]" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="count(value)=count(../series[1]/value)"/>
         <xsl:otherwise>
In pattern Check that numbers of values in all series are equal.:
	All series must have same number of values!</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>