<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink"
        version="1.0">

    <xsl:param name="srchserv.principal.elements" select="'command filename application productname classname'"/>
    <xsl:variable name="_srchserv.principal.elements" select="concat(translate($srchserv.principal.elements, ' ,;','|||'), '|')"/>

    <xsl:param name="srchserv.other.elements" select="'command filename application productname classname'"/>
    <xsl:variable name="_srchserv.other.elements" select="concat(translate($srchserv.other.elements, ' ,;','|||'), '|')"/>

<!-- By default copy the whole document -->
    <xsl:template match="node()" priority="-1">
        <xsl:copy>
            <xsl:apply-templates select="node()"/>
        </xsl:copy>
    </xsl:template>

<!-- For each command/filename/application a xlink:href to search service is generated -->
    <xsl:template match="*">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
            <xsl:if test="contains($_srchserv.principal.elements, concat(local-name(), '|'))">
                <xsl:attribute name="href" namespace="http://www.w3.org/1999/xlink">
                    <xsl:apply-templates select="." mode="srchserv.principal.url"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:apply-templates select="node()"/>
        </xsl:copy>
        <xsl:if test="contains($_srchserv.other.elements, concat(local-name(), '|'))">
            <xsl:apply-templates select="." mode="srchserv.other.links"/>
        </xsl:if>
      <!-- Copy original element -->
    </xsl:template>

    <xsl:template match="*" mode="srchserv.principal.url">
        <xsl:text>http://www.google.com/search?q=</xsl:text>
        <xsl:value-of select="text()"/>
    </xsl:template>

    <xsl:template match="*" mode="srchserv.other.links">
        <ulink url="http://www.instantweb.com/foldoc/foldoc.cgi?{text()}">
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="file:///c:/devel/docbook-custom/images/el/google_icon.png"/>
                </imageobject>
                <textobject>
                    <phrase>search with www.instantweb.com</phrase>
                </textobject>
            </inlinemediaobject>
        </ulink>
    </xsl:template>

</xsl:stylesheet>
